package utils;

import generic.BaseObject;

import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Set;




public class BeanUtils {
	
	
	public static List toList(Set objz) {
	    ArrayList result = new ArrayList(objz);
		Collections.sort(result, BaseObject.ID_ORDER);
		return result;
		//return (BaseObject[]) (result.toArray(new BaseObject[result.size()]));	
	}	

	protected static String upperFirst(String s) {
		return s.substring(0, 1).toUpperCase() + s.substring(1);
	}

	public static String getPropertyAsString(Object o, String nomMethode) {
		try {
			if (o != null) {
				Class[] paramTypes = null;
				Object[] params = null;
				Method m;
				try {
					m = o.getClass().getMethod("get" + upperFirst(nomMethode),
							paramTypes);
					Class r = m.getReturnType();
					Object ob = m.invoke(o, params);
					if (ob == null)
						return "&nbsp;";
					else {
						String result;// = ob.toString();
						if (java.util.Date.class == r)
							result = DateUtils.convertDate((java.util.Date)ob);//englishToFrenchDate(result);
						else
							result = ob.toString();
						if ("".equals(result))
							result = "&nbsp;";
						return result;
					}
				} catch (Exception e) {
					return "error";
				}
			} else
				return "&nbsp;";
		} catch (Exception e) {
			return "error";
		}
	}

}
